%define		_class		Mail
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	1.2.0
Release:	%mkrel 1
Summary:	Class that provides multiple interfaces for sending emails
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Net_Socket
Requires:	php-pear-Net_SMTP
BuildRequires:	php-pear
BuildArch:	noarch

%description
PEAR's Mail package defines an interface for implementing mailers under the
PEAR hierarchy. It also provides supporting functions useful to multiple mailer
backends. Currently supported backends include: PHP's native mail() function,
sendmail, and SMTP. This package also provides a RFC822 email address list
validation utility class.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml


%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/packages/%{upstream_name}.xml





%changelog

* Sun Dec 04 2011 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 176319
- upgrade to 1.2.0

* Mon Jan 24 2011 spuhler <spuhler> 1.2.0-0.b1.8.mga1
+ Revision: 36063
- increased rel to 8
- changed Requires: phppear-Net_SMTP to Requires: php-pear-Net_SMTP

* Sun Jan 23 2011 spuhler <spuhler> 1.2.0-0.b1.7.mga1
+ Revision: 35374
- added Requires:php-pear-Net_Socket
  Requires:	phppear-Net_SMTincreased rel to 7

* Thu Jan 20 2011 spuhler <spuhler> 1.2.0-0.b1.6.mga1
+ Revision: 25511
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.b1.6mdv2011.0
+ Revision: 607120
- rebuild

* Mon Jan 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.b1.5mdv2010.1
+ Revision: 496118
- P0: security fix for CVE-2009-4023,4111

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-0.b1.4mdv2010.1
+ Revision: 470143
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Nov 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-0.b1.3mdv2010.1
+ Revision: 463810
- use rpm filetriggers to register starting from mandriva 2010.1

* Thu Oct 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-0.b1.2mdv2010.0
+ Revision: 452035
- fix %%postun

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-0.b1.1mdv2010.0
+ Revision: 450209
- import php-pear-Mail


* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-0.b1.1mdv2010.0
- split out from php-pear package
